/* Light */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-Light.ttf") format("truetype"),
    url("../public/fonts/Roobert-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

/* Light Italic */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-LightItalic.ttf") format("truetype"),
    url("../public/fonts/Roobert-LightItalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic;
}

/* Regular */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-Regular.ttf") format("truetype"),
    url("../public/fonts/Roobert-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

/* Italic */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-RegularItalic.ttf") format("truetype"),
    url("../public/fonts/Roobert-RegularItalic.ttf") format("truetype");
  font-weight: normal;
  font-style: italic;
}

/* Medium */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-Medium.ttf") format("truetype"),
    url("../public/fonts/Roobert-Medium.ttf") format("truetype");
  font-weight: medium;
  font-style: normal;
}

/* Medium Italic */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("../public/fonts/Roobert-MediumItalic.ttf") format("truetype"),
    url("../public/fonts/Roobert-MediumItalic.ttf") format("truetype");
  font-weight: medium;
  font-style: italic;
}

/* Bold */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-Bold.ttf") format("truetype"),
    url("../public/fonts/Roobert-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* Bold Italic */
@font-face {
  font-family: "Roobert";
  src: url("../public/fonts/Roobert-BoldItalic.ttf") format("truetype"),
    url("../public/fonts/Roobert-BoldItalic.ttf") format("truetype");
  font-weight: bold;
  font-style: italic;
}

/* Medium SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("../public/fonts/RoobertSemiMono-Medium.ttf") format("truetype"),
    url("../public/fonts/RoobertSemiMono-Medium.ttf") format("truetype");
  font-weight: medium;
  font-style: normal;
}

/* Medium Italic SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("../public/fonts/RoobertSemiMono-MediumItalic.ttf")
      format("truetype"),
    url("../public/fonts/RoobertSemiMono-MediumItalic.ttf") format("truetype");
  font-weight: medium;
  font-style: italic;
}

/* SemiBold SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("../public/fonts/RoobertSemiMono-SemiBold.ttf") format("truetype"),
    url("../public/fonts/RoobertSemiMono-SemiBold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

/* SemiBold Italic SemiMono */
@font-face {
  font-family: "Roobert-SemiMono";
  src: url("../public/fonts/RoobertSemiMono-SemiBoldItalic.ttf")
      format("truetype"),
    url("../public/fonts/RoobertSemiMono-SemiBoldItalic.ttf") format("truetype");
  font-weight: bold;
  font-style: italic;
}

html,
body {
  background-color: #f4f3ef;
}

.lyrics-input {
  /* width: 100%; */
  width: 1000px;
  height: 200px;
  outline: none !important;
  line-height: 2;
  font-family: "Roobert";
}

.header-content {
  text-align: center;
  margin-bottom: 20px;
  margin-top: 30px;
}

.header-content h1 {
  margin-top: 10px;
  font-family: "Roobert";
  font-size: 40px;
  margin-bottom: 30px;
}

.tab-header {
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 20px;
}

.tab {
  background-color: #f4f3ef;
  color: black;
  border: 1px solid black;
  padding: 10px 20px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  font-family: "Roobert";
}

.tab:hover {
  background-color: black;
  color: #f4f3ef;
}

.active {
  background-color: black;
  color: #f4f3ef;
}

main {
  padding: 20px;
}

.button {
  background-color: #f4f3ef;
  color: black;
  border: 1px solid black;
  padding: 5px 5px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  margin-right: 10px;
  font-family: "Roobert";
}

.button:hover,
.button:active {
  background-color: black;
  color: #f4f3ef;
}
.temperature-slider {
  -webkit-appearance: none;
  width: 20%;
  height: 8px;
  background: black;
  outline: none;
  opacity: 1;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}

.temperature-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: black;
  cursor: pointer;
  align-items: center;
  margin-bottom: 2px;
}

.temperature-slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: black;
  cursor: pointer;
  margin-top: 5px;
}

.temperature-slider::-moz-range-track {
  background: black;
  height: 8px;
}

.temperature-slider::-ms-thumb {
  width: 25px;
  height: 25px;
  background: black;
  cursor: pointer;
  margin-top: 5px;
}

.temperature-slider::-ms-track {
  background: transparent;
  border-color: transparent;
  color: transparent;
}

.custom-checkbox {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  background-color: transparent;
  border: 2px solid lightgray;
  border-radius: 4px;
  cursor: pointer;
  position: relative;
}

.checkbox-background {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  background-color: black;
  border-radius: 2px;
}

.custom-checkbox input:checked ~ .checkmark {
  display: block;
}
